<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.2 - Last modified 12/26/2010
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');

if (!$flags['admin']) {
	report_err('You do not have the credentials to access the template designer.');
}


function strip_all_quotes ($in) {
	$in = stripslashes ($in);
	$in = str_replace ('"', '', $in);
	$in = str_replace ('\'', '', $in);
	return $in;
}

function w_gpc_css($in, $quotes = TRUE) {
	$out = w_gpc($in, 'raw');
	$out = str_replace ('<', '&lt;', $out);
	$out = str_replace ('>', '&gt;', $out);
	$out = str_replace ('EOF', '', $out);

	if ($quotes == TRUE) {
		$out = str_replace ('"', '&quot;', $out);
	}
	return ($out);
}


// Input
$my_filename = w_gpc('filename');
$base = w_gpc('base');


// Verifify filename
if (!empty ($my_filename)) {
	// Filenames cannot have quotes
	$my_filename = strip_all_quotes($my_filename);

	// ...or spaces
	$my_filename = str_replace (' ', '_', $my_filename);

	// ...or, other things
	if ($bad = badChars($my_filename, 'file')) {
		report_err('File name contains illegal characters: '.make_list($bad, ', '));
	}
} else {
	report_err('No template name specified.');
}


// Verify base
if (!empty ($base)) {
	$base = str_replace (array ('/', '\\', ':'), array ('', '', ''), $base);
	$base = 'templates/'.$base.'.php';

	// $edittemplate is parsed in the template file, and redirects
	if (!file_exists ($base)) {
		report_err('Base template inaccessable.');
	}
}


// Write template file
if ($action == 'save_template' && !empty ($my_filename)) {
	// Input
	$tnotes     = w_gpc('tnotes', 'raw');
	$my_bgImage = w_gpc_css('bgImage');
	$my_dStamp  = w_gpc_css('dStamp');
	$my_hWidth  = w_gpc_css('hWidth');
	$my_hCellPadding = w_gpc_css('hCellPadding');
	$my_cCellPadding = w_gpc_css('cCellPadding');
	$my_cWidth = w_gpc_css('cWidth');
	$main_css  = w_gpc_css('main_css', FALSE);


	// Compile
	// CAUTION: nested HEREDOC - END_O_F is container
	$templatedata = <<<END_O_F
<?php // Include only
if (!defined ('BOOT')) exit ('No bootstrap.  Exiting.');

/*
Basic template, Wax Poteto 5.7.0
*/


// Type your info here.  Do not remove or indent the trailing "EOF;"
\$tnotes = <<<EOF
{$tnotes}
EOF;


// Template name (same as filename, without ".php")
\$filename="{$my_filename}";


// Required variables (used in XHTML for now)
{
	// Must contain a value
	\$dStamp="{$my_dStamp}";
	\$hWidth="{$my_hWidth}";
	\$hCellPadding="{$my_hCellPadding}";

	// May be blank
	\$bgImage="{$my_bgImage}";
	\$cWidth="{$my_cWidth}";
	\$cCellPadding="{$my_cCellPadding}";
}


// Start of CSS
echo <<<EOF
<style type="text/css">
{$main_css}
</style>

EOF;
?>
END_O_F;

	//<?php  <- Fixes my syntax highligher

	$fp = @fopen ('templates/'.$my_filename.'.php', 'w');
	if ($fp) {
		fwrite ($fp, $templatedata);
		fclose ($fp);
	}

	// Cleanup for drop-through
	unset ($templatedata);
	unset ($teditmode);
	unset ($bgColor);
} // End write template file


// Import template
{
	$edittemplate=''; // Important: set to empty!

	// Copied from boot.php
	{
		ob_start();
			if (!empty ($base)) {
				// Base is a path, not a filename
				include ($base);
			} else {
				include ('templates/'.$my_filename.'.php');
			}
			$cssdata = ob_get_contents();
		ob_clean();


		$bodydata = '';
		if (isset ($teditmode)) {
			// Old template
			$bodydata .= 'style="margin: 0 0 0 0;" text="'.$textColor.'" link="'.$link.'" vlink="'.$vLink.'" alink="'.$aLink.'"';
		}
		if (!empty ($bgColor)) {
			$bodydata .= ' bgcolor="'.$bgColor.'"';
		}
		if (!empty ($bgImage) && strpos ($bgImage, '://') === FALSE) {
			// NOT a good idea to allow off-site images here
			$bodydata .= ' background="templates/'.$bgImage.'"';
		}
	}
}


// Convert old templates
if (isset ($teditmode)) {
	// Old template
	if ($teditmode == 0) {
		// Basic


		// Validate some things
		if (empty ($hBorderSize))
			$hBorderSize = '0';
		if (empty ($cBorderSize))
			$cBorderSize = '0';
		if (empty ($sButtonBorderSize))
			$sButtonBorderSize = '0';


		$cssdata = <<<EOF
<style type="text/css">
/* Anchor styles MUST be in order */
a {
	color: {$textColor};
}
a:link {
	color: {$link};
	text-decoration: none;
}
a:visited {
	color: {$vLink};
	text-decoration: none;
}
a:hover {
	color: {$link};
	text-decoration: underline;
}
a:active {
	color: {$aLink};
	text-decoration: none;
}

body {
	color: {$textColor};
	background-color: {$bgColor};
	font-family: {$fontFace};
}
.header {
	color: {$hTextColor};
	background-color: {$hStripColor};
	font-size: {$hFontSize}px;
	border-width: {$hBorderSize}px;
	border-color: {$hBorderColor};
	border-style: {$hBorderStyle};
}
.menubar {
	background-color: {$mBackgroundColor};
	font-size: 11px;
	border-color: {$mBorderColor};
	border-style: {$mBorderStyle};
	border-width: 0 0 1px 0;
}
.submenu {
	font-size: 11px;
}
.infotable {
	font-size: {$hFontSize}px;
}
.commenttitle {
	background-color: {$cStripColor};
	font-size: {$cFontSize}px;
	border-color: {$cBorderColor};
	border-width: {$cBorderSize}px;
	border-style: {$cBorderStyle};
}
.commentpost {
	color: {$cPostColor};
	background-color: {$cPostbgColor};
	border-color: {$cBorderColor};
	border-width: 0px {$cBorderSize}px {$cBorderSize}px {$cBorderSize}px;
	border-style: {$cBorderStyle};
	font-size: {$cFontSize}px;
}
.submit, .txtinput, .multiline  {
	/* "font-family" must be repeated for input tags */
	color: {$sButtonFontColor};
	background-color: {$sButtonBackgroundColor};
	font-family: {$fontFace};
	font-size: {$sButtonFontSize}px;
	border-width: {$sButtonBorderSize}px;
	border-color: {$sButtonBorderColor};
	border-style: {$sButtonBorderStyle};
}
.footertable {
	background-color: {$mBackgroundColor};
	border-color: {$mBorderColor};
	font-size: 11px;
	border-style: {$mBorderStyle};
	border-width: 1px 0 1px 0;
}
</style>
EOF;
	}
}


@db_close();



// Start HTML
send_html_headers();
?>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset;?>" />
<?php if (!empty ($metatag_language)) { ?>
	<meta http-equiv="Content-Language" content="<?php echo $metatag_language;?>" />
<?php } ?>

	<title><?php echo $cfg['op_title'];?></title>

<?php
	echo ($cssdata);
?>

	<script type="text/javascript" src="poteto.js">
	</script>
</head>

<body<?php echo ' '.$bodydata;?>>


<div id="editor" style="margin: 0 10% 0 10%;">
	<form name="formEditT1" method="post" action="tedit.php">
		<br />
		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td valign="top">
			<a href="tdesign.php"><?php echo $langop_templateb_tempsel;?></a>
			| <a href="#preview"><?php echo $langop_templateb_curprev;?></a>
		</td>
		</tr>

		<tr>
		<td>
			&nbsp;
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<b><a name="top"></a><?php echo $langop_templatec_title;?></b>
		</td>
		</tr>
		</table>



		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="0" align="center">
			<tr>
			<td>
				<font size="-1">
					<?php echo $langop_templatec_filen;?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?php echo $langop_templatec_filen2;?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<input name="filename" type="text" class="txtinput" value="<?php echo w_html_chars($my_filename);?>" size="40" /> .php
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?php echo $langop_templatec_notes;?> (<a href="#" onclick="openWindow('niftyusage.php', 500, 300); return false;"><?php echo $langop_common_niftytoo;?></a>)
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?php echo $langop_templatec_author;?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<textarea name="tnotes" cols="100" rows="6" class="multiline"><?php echo w_html_chars($tnotes);?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>



		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td class="header">
			<b><?php echo $langop_install_general;?></b>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center">
			<tr>
			<td class="header">
				<strong><?php echo $langop_word_background;?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?php echo $langop_templateb_optimage;?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?php echo $langop_templateb_optimate2;?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<input name="bgImage" type="text" value="<?php echo w_html_chars($bgImage);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>



			<tr>
			<td class="header">
				<strong><?php echo $langop_install_miscsettings;?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?php echo $langop_templatec_datestamp;?> (required)
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
				&nbsp;
				<input name="dStamp" type="text" value="<?php echo w_html_chars($dStamp);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>



		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td valign="top" class="header">
			<strong><?php echo $langop_templatec_headert;?></strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center">
			<tr>
			<td>
				<font size="-1">
					<?php echo $langop_templateb_hwidth;?> (required)
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<input name="hWidth" type="text" value="<?php echo w_html_chars($hWidth);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?php echo $langop_templateb_hcellpad;?> (required)
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<input name="hCellPadding" type="text" value="<?php echo w_html_chars($hCellPadding);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>



		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td valign="top" class="header">
			<strong><?php echo $langop_templatec_tsettings;?></strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center">
			<tr>
			<td class="header">
				<strong><?php echo $langop_install_general;?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?php echo $langop_templatec_cellpad;?> (optional)
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<input name="cCellPadding" type="text" value="<?php echo w_html_chars($cCellPadding);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?php echo $langop_templatec_twidth;?> (optional)
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<input name="cWidth" type="text" value="<?php echo w_html_chars($cWidth);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>



		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td valign="top" class="header">
			<strong>Main CSS Styling</strong>
		</td>
		</tr>

		<tr>
		<td valign="top" align="center">
			<font size="-1">
				CSS only.  &lt;style&gt; tags will be added automatically.
			</font>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center">
			<tr>
			<td>
				<font size="-1">
<?php
// Don't forget to strip the <style> tags.  They are added back later.
// Style tags go directly into the template for compatibility reasons.
?>
					<textarea name="main_css" class="multiline" cols="80" rows="40" style="width: 100%; height: 500px;"><?php echo w_html_chars(rtrim(strip_tags($cssdata)));?></textarea>
				</font>
			</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>



		<p align="center">
			<input name="action" type="hidden" value="save_template" />
			<input name="Save" type="submit" value="Save" class="submit" />
		</p>
		<p align="center">
			<a href="tdesign.php"><?php echo $langop_templateb_tempsel;?></a>
		</p>
	</form>
</div>
<br />



<div id="preview" style="border: 30px solid #444444; margin: 0 0 0 0;">
	<div id="banner">
		<div style="font-size: 20px; margin: 20px">#Banner</div>
	</div>

	<table width="100%" border="0" cellspacing="0" cellpadding="2" class="menubar">
	<tr>
	<td align="left">
		.menubar <a href="#">.menubar a</a>
	</td>
	<td align="right">
		<?php echo $langop_common_loggedin;?> <strong>&lt;b&gt;</strong>
	</td>
	</tr>
	</table>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="submenu">
	<tr>
	<td>
		.submenu <a href="#">.submenu a</a>
	</td>
	</tr>
	</table>
	<br />
	<br />


	<table width="<?php echo $hWidth;?>" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
	<tr>
	<td colspan="2" class="header">
		.header [<b><a href="#">.header a</a></b>] [Header Width (not CSS)]
	</td>
	</tr>

	<tr>
	<td colspan="2">
		.infotable (picture post containter)
	</td>
	</tr>

	<tr>
	<td valign="top" width="5%">
		<div align="center">
			<img src="<?php echo $cfg['porn_img'];?>" alt="x_thumb" />
			<br />
			<font size="-1">
				<?php echo $langop_word_picture;?> 
				<br />
				<br />
			</font>
		</div>
	</td>
	<td width="95%" valign="top">
		<table <?php if (!empty($cWidth)) {echo "width=\"{$cWidth}\" ";}?>border="0" <?php if (!empty($cCellPadding)) {echo "cellpadding=\"{$cCellPadding}\" ";}?>cellspacing="0">
		<tr>
		<td class="commenttitle">
			<b>.commenttitle</b> @ <font color="<?php echo $dStamp;?>"><b>&lt;font color=&quot;Datestamp Color&quot;&gt;(not CSS)</b></font>
		</td>
		</tr>

		<tr>
		<td class="commentpost">
			.commentpost
		</td>
		</tr>
		</table>
	</td>
	</tr>
	</table>


	<table border="0" cellspacing="0" cellpadding="5" style="margin: auto; text-align: center;">
	<tr>
	<td align="right">.body</td>
	<td align="left"><a href="#">.body a</a></td>
	</tr>

	<tr>
	<td align="right" class="infotable">.multiline</td>
	<td align="left">
		<select name="my_multiline" class="multiline">
			<option value="test1">Option 1</option>
			<option value="test2">Option 2</option>
			<option value="test3">Option 3</option>
		</select>
	</td>
	</tr>

	<tr>
	<td align="right" class="infotable">.txtinput</td>
	<td align="left">
		<input type="text" name="my_text" value="Text box" class="txtinput" />
	</td>
	</tr>

	<tr>
	<td align="right" class="infotable">.submit</td>
	<td align="left">
		<input type="button" name="my_button" value="Button" class="submit" />
	</td>
	</tr>
	</table>
	<br />
	<br />

	<table width="100%" cellpadding="<?php echo $hCellPadding;?>" align="center" class="footertable">
	<tr>
	<td>
		<div align="center">
			.footer<br />
			<br />
			<a href="http://www.NineChime.com/products/">&ldquo;Wax Poteto&rdquo; <?php echo $version;?></a> by Waccoon / Based on OekakiPoteto v5.x by <a href="http://suteki.nu">RanmaGuy</a> and <a href="http://www.cellosoft.com">Marcello</a>
			<br />
			More footer filler fluff for fast formation fulfillment!
			<br />
			<?php echo $langop_loadtime;?>: <?php echo substr (get_microtime() - $start_time, 0, 6); ?> secs
		</div>
	</td>
	</tr>
	</table>
</div>

</body>
</html>